Skip to content

Company Intent

Request

Returns intent data about the specified company.

It's also possible to specify what fields from the API should be returned. By default, only some fields are returned.

Security
authorization
Bodyapplication/jsonrequired

Company Intent Request

fieldsArray of strings, non-empty(CompanyIntentsSelectFields)

A list of data points to be returned in the API response.

Default:["topic_id","url","signal_strength","signal_trend"]
Example:
[ "topic_id", "topic_name", "url", "signal_strength", "signal_trend", "location_strength", "buyers_journey_name", "context_name_array", "state_name", "country_name", "region_name", "datestamp" ]
filtersobject(CompanyIntentFilters)required
Example:
{ "company_id": "1698C53EBC888758570396E0334965C1", "topic_ids": [ "243E8A9405E4B25CBCDB2D0DC14ED608", "243F7993B10E4519E189D18FCF58388C", "24435A2522405B507389E2CB4784C4DD" ] }
limitinteger, <= 1000(Limit)

The number of records to return in the request.

Default:10
offsetinteger, >= 0(Offset)

Used for paginating records.

Default:0
sortsArray of objects(CompanyIntentSorts)
POST
/data-api/v1/company/intent
curl -i -X POST \
  https://api.hginsights.com/data-api/v1/company/intent \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fields": [
      "topic_id",
      "topic_name",
      "url",
      "signal_strength",
      "signal_trend",
      "location_strength",
      "buyers_journey_name",
      "context_name_array",
      "state_name",
      "country_name",
      "region_name",
      "datestamp"
    ],
    "filters": {
      "company_id": "1698C53EBC888758570396E0334965C1",
      "topic_ids": [
        "243E8A9405E4B25CBCDB2D0DC14ED608",
        "243F7993B10E4519E189D18FCF58388C",
        "24435A2522405B507389E2CB4784C4DD"
      ]
    },
    "limit": 10,
    "offset": 0,
    "sorts": [
      {
        "direction": "ASC",
        "field": "topic_id"
      }
    ]
  }'

Responses

Company Intent Response

Bodyapplication/json
countinteger
dataArray of objects(CompanyIntentObject)
Response
{ "count": 0, "data": [ {} ] }